package com.liang.WT.service.impl;

import com.liang.WT.entity.BugManagementEntity;
import com.liang.WT.service.BugManagementService;
import com.liang.dao.WT.BugmanagemanMapper;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * @Author ly
 * @Date 2025/4/9 16:28
 * @Version 1.0
 */
@Service("BugManagementService")
public class BugManagementServiceImpl implements BugManagementService {


    @Resource
    private BugmanagemanMapper bugmanagemanMapper;

    @Override
    public int add(BugManagementEntity bugManagementEntity) {
        return this.bugmanagemanMapper.add(bugManagementEntity);
    }

    @Override
    public List<BugManagementEntity> mylist(Map map) {
        return this.bugmanagemanMapper.mylist(map);
    }

    @Override
    public int update(BugManagementEntity bugManagement) {
        return this.bugmanagemanMapper.update(bugManagement);
    }

}
